/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
const require_runtime = require('../../_virtual/_rolldown/runtime.cjs');
const require_styles_styler = require('../../styles/styler.cjs');
const require_components_Icon = require('../Icon.cjs');
let react_jsx_runtime = require("react/jsx-runtime");
let _yahoo_uds_icons = require("@yahoo/uds-icons");

//#region src/components/experimental/Spinner.tsx
function Spinner({ className, color = "primary", size = "lg", ...props }) {
	return /* @__PURE__ */ (0, react_jsx_runtime.jsxs)("div", {
		role: "status",
		className: require_styles_styler.cx("self-center", "relative", className),
		...props,
		children: [/* @__PURE__ */ (0, react_jsx_runtime.jsx)(require_components_Icon.Icon, {
			role: "img",
			name: _yahoo_uds_icons.Progress,
			className: "animate-spin",
			size,
			color,
			"aria-hidden": "true"
		}), /* @__PURE__ */ (0, react_jsx_runtime.jsx)("span", {
			className: "sr-only",
			children: "Loading..."
		})]
	});
}
Spinner.displayName = "Spinner";

//#endregion
exports.Spinner = Spinner;